View Issue Details

IDProjectCategoryView StatusLast Update
0000793ScribusGeneralpublic2004-12-24 13:44
ReporterSi Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86 Althon XPOSMandrakeOS Version10
Product Version1.2CVS 
Target VersionFixed in Version1.2.1cvs 
Summary0000793: Cursor placed at wrong location when using tabs
DescriptionCursor can't be placed visually at the end of a text block prior to a tab, the cursor instead goes to the start of the next block but still inserts characters at the end of the last block
Steps To ReproduceCreate a document
Create a text box
Insert something like this:
block one text<tab>block two text

Now place the cursor at the start of the text and press
the right arrow key. Try and place the cursor at the end of the "block one text".
Hopefully you'll notice that it is impossible, and the cursor is placed at the start of the second text block.
Additional InformationI think this same bug is also responsible for block drag mouse selection issues. If you try and just select up to the first tab, the selection will expand to the next tab, making it impossible to highlight selections of text prior to a tab.
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2004-06-16 15:25 Si New Issue
2004-06-18 12:47 cbradney View Status @0@ => public
2004-06-18 12:47 cbradney Steps to Reproduce Updated
2004-12-08 19:19 cbradney Status new => assigned
2004-12-08 19:19 cbradney Assigned To => fschmid
2004-12-23 22:11 fschmid Status assigned => resolved
2004-12-23 22:11 fschmid Fixed in Version => 1.2.1cvs
2004-12-23 22:11 fschmid Resolution open => fixed
2004-12-24 13:44 cbradney Status resolved => closed
2007-05-23 21:32 christoph_s Relationship added child of 0003157